using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class BattleHUD : MonoBehaviour
{
    [SerializeField] TMP_Text nameTxt;
    [SerializeField] TMP_Text levelTxt;
    [SerializeField] ProgressBar hpBar;

    Pokemon _pokemon;
    public void SetData(Pokemon pokemon)
    {
        if (_pokemon != null)
            _pokemon.OnHPChanged -= SetHP;

        _pokemon = pokemon;

        nameTxt.text = pokemon.Base.Name;
        levelTxt.text = "Lv. " + pokemon.Level;
        hpBar.SetProgress((float)pokemon.Hp / pokemon.MaxHp);

        pokemon.OnHPChanged += SetHP;
    }

    void SetHP()
    {
        StartCoroutine(hpBar.SetProgressSmooth((float)_pokemon.Hp / _pokemon.MaxHp));
    }

    public ProgressBar HPBar => hpBar;
}
